Subject: Re: Git User's Survey 2007 unfinished summary (long)

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 4 Oct 2007 21:42:29 -0400

Jakub Narebski <[email-masked]> wrote:
> On 10/4/07, Benoit SIGOURE <[email-masked]> wrote:
> > On Oct 4, 2007, at 11:12 AM, Jakub Narebski wrote:
> > > Note that Git is GPLv2, and it will probably stay that forever, so you
> > > are _free_ to start a commercial support scheme for Git, but others
> > > are free not to choose it. This question is to get to know if there is
> > > sufficient demand for commercial Git support for it to be viable.
> >
> > Once again (AFAIR this was already raised during one of the previous
> > summary) what's the link between GPLv2 and commercial support?  You
> > seem to imply that because Git won't move to GPLv3, it's a good thing
> > for potential paid support, or something.  I don't quite see how
> > GPLvX comes into play with commercial support.  I'm not a license
> > expert though.
> 
> The only link between GPL and commercial support is that GPL does not
> prohibit commercial support (like noncommercial-free licenses for example),
> and that having commercial support doesn't mean that license would change
> to proprietary (it cannot).

Right.  There has been some discussion in the past about forming
"The Git Company".

When this survey question was first posed there was some concern that
Git might move to a commerical license of some sort and perhaps not
be GPLvX anymore.  That concern is a non-issue; the copyrights for
Git are held by over 300 people, many of whom are kernel hackers and
strong believers in the value of GPLv2.  I'm not a kernel hacker,
but I also believe strongly in the value of the GPLv2 license.
You won't see me agreeing to move code I wrote to a non-GPL license
anytime soon.  Most (if not all!) of Git's authors feel the same way.

There's several reasons why forming "The Git Company" might help
the overall Git cause, and this question was a feeler to see if
the community was interested in acquiring support through it.  Many
other open source projects seem to get some benefit from having a
company loosely affiliated with them, not the least of which are
things like:

  - some of the developers can focus more time on the project and
    still keep food on the table;

  - there are people focused on advertising/marketing the project
    and its benfits to potential end-users;

  - companies that feel warm-and-fuzzy by having a phone number they
    can call for help are more likely to want to use the project
    for critical services;

  - companies that want training or short-term consulting services
    know who they can contact for expertise.

and the list goes on.  The problem with said company is it costs
money to keep the lights on and employees fed; money which obviously
cannot be extorted from users through arcane licensing agreements.
:-)

-- 
Shawn.